Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		logrotate
Version:	3.7.8
Release: 	1
License:	GNU/GPL
URL:		https://fedorahosted.org/releases/l/o/logrotate/
Group:		System/Configuration/Boot and Init
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Rotates, compresses, removes and mails system log files.
Requires:	syslog-ng cronie-anacron popt coreutils

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: popt-devel

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -qn %{name}-%{version}

%build
make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS" WITH_SELINUX=no

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib

install -p -m 644 examples/logrotate-default $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.conf
install -p -m 755 examples/logrotate.cron $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/logrotate
touch $RPM_BUILD_ROOT/%{_localstatedir}/lib/logrotate.status

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING
%attr(0755, root, root) %{_sbindir}/logrotate
%attr(0644, root, root) %{_mandir}/man8/logrotate.8*
%attr(0755, root, root) %{_sysconfdir}/cron.daily/logrotate
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/logrotate.conf
%attr(0755, root, root) %dir %{_sysconfdir}/logrotate.d
%attr(0644, root, root) %verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/logrotate.status

%changelog
* Wed Jun 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.7.8-1
- Version update
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 3.7.6-1
- Version update, moved to anacron
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 3.7.1-3
- rebuilt, removed wrong Obsoletes-Tag
* Thu Mar 31 2005 Christian Metzen <metzench@ccux-linux.de> 3.7.1-2
- Cleaned out Specfile
* Fri Mar 25 2005 Dieter Rethmeyer <dieter@rethmeyers.de> 3.7.1-1
- Initial Release, written spec on Redhat basis
